casper (25.10.2) questing; urgency=medium

  * d/t/{prep-image,boot}: use flock -x to guard against races with udev

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 24 Sep 2025 16:22:43 -0600

casper (25.10.1) questing; urgency=medium

  * Live session no longer includes x11, so use wayland

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 14 Sep 2025 17:49:18 -0700

casper (25.04.1) plucky; urgency=medium

  * [ Aaron Rainbolt ]
    Update expected location for kubuntu-live-environment.desktop to match
    kubuntu-installer-prompt 25.04.1.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 13 Jan 2025 13:24:17 -0700

casper (1.502) oracular; urgency=medium

  * [ Erich Eickmeyer ]
    Fix x11 autologin issue related to the rename of the session file

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 13 Sep 2024 12:17:13 -0600

casper (1.501) oracular; urgency=medium

  * Enable frame pointers

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 15 Jul 2024 13:14:18 -0600

casper (1.500) oracular; urgency=medium

  * Use wayland for the desktop live session

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 13 Jun 2024 21:20:31 +0200

casper (1.498) noble; urgency=medium

  * Redisable autolock in 34disable_kde-services on live.
    (LP: #2062402)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 18 Apr 2024 14:45:12 -0700

casper (1.497) noble; urgency=medium

  * Fix 34disable_kde_services to correctly disable
    kscreenlocker on live cd. (LP #2054246)

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 09 Apr 2024 10:23:40 -0700

casper (1.496) noble; urgency=medium

  * Allow Xubuntu's installer to be ran without marking the executable as
    trusted.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 09 Apr 2024 02:43:23 -0500

casper (1.495) noble; urgency=medium

  * Add Ubuntu Unity's Calamares shortcut to the desktop.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 26 Mar 2024 16:41:26 -0500

casper (1.494) noble; urgency=medium

  [ Aaron Rainbolt ]
  * check for kubuntu-live-environment before plasma.desktop.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Feb 2024 03:10:16 -0800

casper (1.493) noble; urgency=medium

  * Drop references to ubuntustudio-calamares.desktop since UbuntuStudio is
    now on ubuntu-desktop-bootstrap

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Feb 2024 23:23:33 -0800

casper (1.492) noble; urgency=medium

  [ Aaron Rainbolt ]
  * Add Kubuntu's new Try or Install prompt and Calamares launcher shortcut
    to the live ISO experience

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Feb 2024 14:22:41 -0800

casper (1.491) noble; urgency=medium

  [ Erich Eickmeyer ]
  * Set ubuntu-desktop-provision.desktop files
    As of this writing, this benefits Ubuntu Desktop (GNOME),
    Edubuntu, Ubuntu Studio, Ubuntu Budgie, Ubuntu Cinnamon, and
    Xubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Feb 2024 12:46:52 -0800

casper (1.490) noble; urgency=medium

  * Add Edubuntu and Ubuntu Studio's new installer .desktop files.

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 18 Dec 2023 15:13:52 -0800

casper (1.489) noble; urgency=medium

  * Instead of relying on Lubuntu.desktop to be present, rely on the desktop
    file Lubuntu actually calls. While the existing code works as-is, this
    makes it more future-proof.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 10 Dec 2023 10:09:29 -0600

casper (1.488) noble; urgency=medium

  * Remove support for LXDM and KDM, both LXQt and KDE flavors now use SDDM.
  * Add some extra verification and comments around the SDDM handling.
  * Lubuntu now uses lubuntu-live-environment.desktop for live session
    handling, provided by lubuntu-installer-prompt. Switch to using that
    instead.
  * Update Vcs-* to have a canonical URL instead of an lp: prefix.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Dec 2023 15:19:52 -0600

casper (1.487) noble; urgency=medium

  * Drop various initramfs scripts that are no longer needed:
    - 07remove_oem_config: oem-config is only seeded in 'ship*' seeds, so
      not installed in any live systems; therefore it never needs to be
      removed.
    - 16disable_gpt_auto_mount: gpt generator no longer shipped in systemd.
    - 26serialtty: upstart-specific.
    - 32disable_hibernation: now disabled in policykit-desktop-privileges in
      desktop-common.
    - 35fix_language_selector: addresses only obsolete programs and files.
    - 36disable_trackerd: trackerd no longer exists.
    - 48kubuntu_disable_restart_notifications:
      /usr/share/kubuntu-default-settings/kde4-profile/ no longer exists,
      if this is still needed it needs to be implemented differently.
    - 49kubuntu_mobile_session: kubuntu-mobile-default-settings is obsolete.
    - 50ubiquity-bluetooth-agent: bluetooth-applet no longer exists.
    - 51unity8_wizard: unity8 no longer exists (ubuntu-unity is unity 7).
  * 12fstab: /etc/rcS.d/S*checkroot.sh is obsolete, no need to remove.
  * 15autologin: remove obsolete fix-up specific to kubuntu-active.
  * 15autologin: remove obsolete fix-up for
    /usr/share/xsessions/QLubuntu.desktop.
  * 18hostname: don't invoke hostname here, it will be set from the rootfs
    at boot anyway.
  * 25adduser: drop code for Ubuntu MID, which was obsolete before Lucid
    released in 2010.
  * 25configure_init: drop code specific to sysvinit, upstart, and
    ureadahead.
  * 31disable_update_notifier: drop handling of obsolete adept_notifier.
  * 34disable_kde_services: don't try to remove obsolete desktop files.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Nov 2023 10:26:19 +0200

casper (1.486) mantic; urgency=medium

  [ Dimitri John Ledkov ]
  * Drop setting /run/kernel-meta-package, it is set at build time instead via
    /etc/subiquity/kernel-meta-package.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 02 Oct 2023 15:04:55 -0600

casper (1.485) mantic; urgency=medium

  [ Steve Langasek ]
  * Text-only fixes.

  [ Simon Quigley ]
  * Pre-seed LXQt Power Management settings so the user is not prompted on the
    live session.
  * Instead of calling xscreensaver in LXQt, call /usr/bin/true to avoid an
    error message.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Oct 2023 09:03:57 -0700

casper (1.484) mantic; urgency=medium

  [ Erich Eickmeyer ]
  * scripts/34disable_kde_services: Add ubuntustudio (LP: #2000787)

  [ Steve Langasek ]
  * scripts/34disable_kde_services: refactor to reduce code duplication.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Sep 2023 17:34:55 -0700

casper (1.483) mantic; urgency=medium

  * Disable locking the session for live Lubuntu users (LP: #2000787).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 29 Sep 2023 17:09:06 -0500

casper (1.482) mantic; urgency=medium

  * scripts/casper: Use '-latest' links to download images (LP: #1990621).

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Tue, 11 Jul 2023 14:03:33 +0300

casper (1.481) mantic; urgency=medium

  * Set a nice value for md5check

 -- Dan Bungert <daniel.bungert@canonical.com>  Tue, 25 Apr 2023 13:42:22 +0200

casper (1.480) lunar; urgency=medium

  * Use --try-or-install in the systemd unit of the new desktop installer,
    fixes the try/install page not being displayed
    https://github.com/canonical/ubuntu-desktop-installer/issues/1307

 -- Sebastien Bacher <seb128@ubuntu.com>  Sun, 05 Feb 2023 11:39:30 +0100

casper (1.479) lunar; urgency=medium

  * Fix adduser, which fails due to systemd taking 999 (LP: #2004092).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 28 Jan 2023 21:09:53 -0600

casper (1.477) lunar; urgency=medium

  * The Type=simple change wasn't needed to see the startup time improvement.
    Move back to Type=oneshot to restore the completion event.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 05 Dec 2022 14:09:46 -0700

casper (1.476) lunar; urgency=medium

  * Change casper-md5check to Type=Simple to take advantage of the
    alternate interpretation of what started means relative to Type=oneshot.
    This should allow us to reach multi-user.target sooner, especially for
    users where the md5 check is slow. (LP: #1986781)

 -- Dan Bungert <daniel.bungert@canonical.com>  Wed, 23 Nov 2022 16:10:57 +1300

casper (1.475) kinetic; urgency=medium

  [ Sebastien Bacher ]
  * Incorporate some tweaks for the desktop canary image:
    - tweak the defaults to create an 'installer only' layout
    - always display the accessibility menu in the installer
    - autostart the GUI
    - restore the session layout on exit for the 'try ubuntu' option
    - write a configuration to tell subiquity to use the hwe kernel

  [ Christian Jones ]
  * Remove duplicate definition of is_supported_fs and merge the lists of
    filesystems considered supported, restoring the ability to do a live
    boot/install from a UDF filesystem. (LP: #1989825)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 16 Sep 2022 13:30:44 +1200

casper (1.474) kinetic; urgency=medium

  * Run casper-md5check.service at the lowest possible IO priority to
    hopefully avoid starving IO with slow media.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 31 Aug 2022 09:42:25 +1200

casper (1.473) kinetic; urgency=medium

  * casper-helper: preserve entries 2-4 in the MBR when creating a new
    partition. (LP: #1977644, #1922342)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 05 Aug 2022 17:45:05 +1200

casper (1.472) kinetic; urgency=medium

  * Support iso-url= on the kernel command line as a synonym for url=, to
    help avoid the conflict with cloud-init over that argument. (LP: #1937319)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 03 Jun 2022 11:25:33 +1200

casper (1.471) kinetic; urgency=medium

  * Increase memory for qemu autopkgtest instances to 1G (LP: #1976287)

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 30 May 2022 14:40:38 +0000

casper (1.470) jammy; urgency=medium

  * Add missing include of casper-helpers, needed by the iso-scan script.
    LP: #1960457.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Apr 2022 16:00:44 +0000

casper (1.469) jammy; urgency=medium

  * Integrate lupin-casper's 20iso_scan casper-premount script so that users
    can continue to use images that provide multiple iso's to choose to boot
    from. This was no longer possible after the removal of the lupin packages
    from jammy (LP: #1960457). 

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 14 Apr 2022 15:04:19 +0200

casper (1.468) jammy; urgency=medium

  * casper-md5check: correctly detect fsck.mode=skip if last
    in /proc/cmdline, and add a hint for users (LP: #1892369)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Fri, 18 Mar 2022 18:02:14 -0300

casper (1.467) jammy; urgency=medium

  * Disable the Enable Ubuntu Pro notification on the live session
  * Create the installer log directory writable for adm users
    Otherwise the new desktop installer can't use it

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Mar 2022 10:06:23 +0100

casper (1.465) impish; urgency=medium

  * Fix typos in last upload that prevented auto log functionality from
    working at all. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 22 Jul 2021 12:25:06 +1200

casper (1.464) impish; urgency=medium

  [ Sebastien Bacher ]
  * Add the desktop file for the ubuntu-desktop-installer snap to the list of
    desktop files added to the live session.

  [ Michael Hudson-Doyle ]
  * Only use a partition from the blockdev holding the livefs for auto logs.
    (LP: #1926137)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 21 Jul 2021 11:31:44 +1200

casper (1.463) impish; urgency=medium

  * Allow LAYERFS_PATH to be set in configuration files.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 06 Jul 2021 22:03:47 +1200

casper (1.462) impish; urgency=medium

  * Reenable apt-cdrom on a live-server ISO.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 11 Jun 2021 09:24:03 +1200

casper (1.461) hirsute; urgency=medium

  [ Gunnar Hjalmarsson ]
  * scripts/casper-bottom/59disable_mozc_autosetup:
    - Don't set up ibus-mozc automatically in non-Japanese sessions
      (LP: #1919455)

  [ Iain Lane ]
  * Add a gbp.conf so --git-tag{,-only} works

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 22 Mar 2021 12:21:02 +0000

casper (1.460) hirsute; urgency=medium

  * Tests fail, so revert cdrom.mount unit changes.
  * Add and enable casper-md5check.service

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Mar 2021 07:25:50 +0000

casper (1.459) hirsute; urgency=medium

  * Make cdrom.mount not be bound and stop unmounting on shutdown.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Mar 2021 14:13:16 +0000

casper (1.458) hirsute; urgency=medium

  * Drop build-dependency on obsolete dh-systemd

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 Mar 2021 14:44:09 -0800

casper (1.457) hirsute; urgency=medium

  [ Michael Hudson-Doyle ]
  * Do not run apt-cdrom on a live-server ISO.

  [ Dimitri John Ledkov ]
  * casper-md5check: stop blocking boot on completing the check. Instead
    run it from the runtime system, as people are trying to configure the
    installer. By the time they start to install, the check should be done
    and will generate journal logs with details of broken files in
    addition to the json state file. Run without plymouth connection and
    always verbose.
  * Booting is actually fast these days, and since casper-md5check is now
    in the runtime system, no need to force framebuffer into the
    initrd. Should make server initrd smaller and faster.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 26 Feb 2021 20:58:22 +0000

casper (1.456) hirsute; urgency=medium

  * Support kernels with "+" in the version string (LP: #1905357).

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 02 Dec 2020 12:04:34 +0000

casper (1.455) groovy; urgency=medium

  * Use a tmpfs in tests; overlay is not compatible with zfs.
  * Make tests work when host kernel does not match that in the test env.
  * Properly handle echo -e for dash vs busybox in initramfs.
  * Limit our dd to only change 16 bytes in the MBR regardless of input,
    to avoid major damage from any future shell bugs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 16 Oct 2020 09:51:20 -0700

casper (1.454) groovy; urgency=medium

  * Based on feedback from Thomas Schmitt, make the bootable partition a
    separate partition at sector zero like xorriso does, because some UEFI
    implementations may wrongly ignore a disk with a protective MBR marked
    bootable.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Oct 2020 14:28:32 -0700

casper (1.453) groovy; urgency=medium

  * If creating a persistent partition, manually restore a 'bootable' flag
    on any protective MBR, if present, to ensure compatibility with BIOS
    implementations which require this.  This is slightly different from
    the xorriso implementation, because we mark the iso9660 partition as
    bootable instead of creating a separate empty partition, but anything
    looking at the MBR should be fine and anything that's GPT-aware should
    not care.  LP: #1899308
  * Document the VCS for this package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Oct 2020 11:34:23 -0700

casper (1.452) groovy; urgency=medium

  * casper: ask user for netmask, because we lack CIDR notation support

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 23 Jun 2020 09:24:02 +0100

casper (1.451) groovy; urgency=medium

  * caser: revert changes to quick-boot (LP: #1883040)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Jun 2020 11:46:39 +0100

casper (1.450) groovy; urgency=medium

  * casper-functions: use either ubiquity or localechooser-data

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 10 Jun 2020 20:40:45 +0100

casper (1.449) groovy; urgency=medium

  * interactive_netmount: fix logic setting DEVICE
  * interactive_netmount: implement default gateway & dns
  * casper-md5check: drop error about connecting to plymouth
  * casper-md5check: separate messages in text output mode

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 01 Jun 2020 10:34:28 +0100

casper (1.448) groovy; urgency=medium

  * Fix static IP configuration.
  * mountroot: break out quicker
  * interactive_netmount: sort interfaces
  * interactive_netmount: export static IP= after vlan
  * interactive_netmount: correct VLAN export
  * Drop exposing /cow tree
  * Set a sensible netmask

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 27 May 2020 10:38:01 +0100

casper (1.447) groovy; urgency=medium

  [ Matthieu Clemenceau ]
  * Updated cmdline options in casper manpage documentation. LP: #1875548

  [ Michael Hudson-Doyle ]
  * Add interactive network configuration.

  [ Dimitri John Ledkov ]
  * Fix up interactive network configuration default ISO urls to be more
    dynamic.
  * In groovy, live-cds now have ssl support in busybox

  [ Erich Eickmeyer ]
  * Add Ubuntu Studio Calamares Installer as trusted

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 23 May 2020 03:57:20 +0100

casper (1.446) groovy; urgency=medium

  * control: add fdisk dependency

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 May 2020 19:27:17 +0100

casper (1.445) focal; urgency=medium

  * Fix segfault in casper-md5check when plymouth is not installed (i.e.
    Ubuntu Server).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 09 Apr 2020 10:48:20 +1200

casper (1.444) focal; urgency=medium

  * Move check for fallback persistent filesystem label (casper-rw) later as
    it seems sometimes it takes time for block devices to appear and be
    processed by udev. (LP: #1863672)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 07 Apr 2020 11:43:02 +1200

casper (1.443) focal; urgency=medium

  * Make fsckd under spinner/logo themes produce consistent output
  * Make plymouth-less progress output less bad
  * Use theme-specific keys: or fsckd-cancel-msg: for Ctrl+C message LP:
    #1870018
  * Add fsck.mode=skip sensitivity to casper-md5check
  * ubuntu-server: skip mounting swap (as hacked by livecd-rootfs currently)
  * Leave fsck result as a json /run/casper-md5check.json file.
  * ubuntu-server: adapt runtime netplan into cloud-config cloud.cfg
  * Fix cmdline parsing, it was always broken

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Apr 2020 13:04:38 +0100

casper (1.442) focal; urgency=medium

  * casper-md5check:
    + change progress messages to fsckd compatible ones
    + use Ctrl+C to cancel them

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 30 Mar 2020 11:26:12 +0100

casper (1.441) focal; urgency=medium

  * casper-md5check:
    + flush pending events for actually fluid progress updates
    + drop reboot includes
    + watch for s keystroke to skip checks
    + always finish on 100% update, to remove the progress message
    + always drop the keystrokes message
    + always display the result of the checks, with a slight delay
    + make the failed message linger for longer
    + clear all messages before quiting
    + ignore unused-result warnings during compilation

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 26 Feb 2020 14:35:46 +0000

casper (1.440) focal; urgency=medium

  * casper-md5check:
    + Use fsck progress text, whilst verifying the disk.
    + Do not reboot, but simply continue booting after the integrity check.
    + Perform integrity check on every boot (TODO allow skipping the check)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Feb 2020 23:32:22 +0000

casper (1.439) focal; urgency=medium

  * Create partitions with label "writable" rather than "casper-rw" (but still
    use a partition with label "casper-rw" in preference to creating one).
    (LP: #1861512)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 12 Feb 2020 14:13:00 +1300

casper (1.438build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 10:56:43 +0000

casper (1.438) focal; urgency=medium

  * No change rebuild for the new libplymouth soname

 -- Sebastien Bacher <seb128@debian.org>  Fri, 10 Jan 2020 13:38:11 +0100

casper (1.437) focal; urgency=medium

  * Drop bebroken boot time option, and stop working around the broken
    multi-lower squashfs which is now fixed in Ubuntu kernels.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 07 Jan 2020 15:04:55 +0000

casper (1.436) focal; urgency=medium

  * Configure pollinate, if installed, in the live session to include image
    serial in the user agent. (LP: #1853912)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 18 Dec 2019 09:53:24 +1300

casper (1.435) focal; urgency=medium

  * Kernel team says, 512M is not enough to boot v5.4 kernel. Bump to 768M
    in the autopkgtest.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 11 Dec 2019 12:47:46 +0000

casper (1.434) focal; urgency=medium

  * Only netboot with url=*.iso too (the inverse fix of the previous
    upload, ie. desktop preseed without url.iso netboot)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 04 Dec 2019 15:36:46 +0000

casper (1.433) focal; urgency=medium

  * Support preseed/url= key in addition to url= key in preseed script.
  * Ensure we do not treat netboot url=*.iso as a preseed.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 04 Dec 2019 13:50:05 +0000

casper (1.432) focal; urgency=medium

  * scripts/casper-helpers: pass --no-reread to sfdisk when creating the
    casper-rw partition to reduce the risk of self-races (which probably only
    happen in qemu-system-emulation i.e. in the autopkgtests).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 13 Nov 2019 15:07:08 +1300

casper (1.431) focal; urgency=medium

  * d/tests: test todisk rather than toram to reduce memory requirements.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 11 Nov 2019 23:10:53 +1300

casper (1.430) focal; urgency=medium

  * d/tests/run-image: attach disk as usb storage.
  * d/test/boot:
    - fix some mistakes in test_clean_log_directory_each_boot
    - add test that booting with toram on command line allows the disk to be
      ejected.
  * scripts/casper: have toram disable automatic persistence. (LP: #1851123)
  * scripts/casper-bottom/55disable_snap_refresh: delay computation of the
    date to refresh to until the service runs as busybox date does not support
    --iso-8601=seconds. (LP: #1852022)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 11 Nov 2019 10:25:42 +1300

casper (1.429) focal; urgency=medium

  * When automatically persisting logs, give each boot a clean /var/log and
    /var/crash directory to avoid e.g. syslog becoming unwieldy and confusing
    on a USB stick used to install many machines.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 04 Nov 2019 16:11:07 +1300

casper (1.428) focal; urgency=medium

  * Add UUID verification to netboot mounts. LP: #1847076
  * Stop doing //filesystem.squashfs everywhere
  * Always expose /cow
  * Allow booting broken
  * Drop support for non-overlay union= option

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Oct 2019 17:58:05 +0100

casper (1.427) eoan; urgency=medium

  * Setup machine-id, because without it it seems like machine-id setup is
    racy. LP: #1848404

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 17 Oct 2019 10:38:07 +0100

casper (1.426) eoan; urgency=medium

  * Just like in Disco, overlayfs squashfs is tripped up with an empty
    file, this time it's machine-id. Maybe we should finally dig into
    what's wrong in the kernel/systemd when trying to edit overlayfs
    multi-lowerdir squashfs readonly files. LP: #1848190

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 Oct 2019 15:08:34 +0100

casper (1.425) eoan; urgency=medium

  * Ask for removing the block device when installing from a partition
    (LP: #1837934)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 14 Oct 2019 17:29:05 +0200

casper (1.424) eoan; urgency=medium

  * Revert the cdrom changes from the previous upload, they seem to lead
    to an empty /cdrom on the live session and to have no kernel on the
    installed system as a result (lp: #1847457)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 09 Oct 2019 12:17:08 +0200

casper (1.423) eoan; urgency=medium

  [ Dimitri John Ledkov ]
  * Pacify systemd about cdrom.mount on boot, and order it correctly to be
    the last one on shutdown.

  [ Michael Hudson-Doyle ]
  * Have 'nopersistent' on the command line suppress the automatic
    creation of the casper-rw partition added in 1.416. (LP: #1846762)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Oct 2019 13:13:12 +0100

casper (1.422) eoan; urgency=medium

  * Add support for url=protocol://path/to/installer.iso netboot
    option. Using this, one can netboot and complete installations using
    kernel and initrd from the new Ubuntu Server Installer using `ip=dhcp
    url=http://..../ubuntu-19.10-live-server-arch.iso' cmdline paratemers.
    This is not specific to Server installer, and should work for Ubuntu
    Desktop images too. Using this patch, successfully completed netboot
    installation with dhcp networking over vlan on a POWER9 machine.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Sep 2019 13:09:57 +0100

casper (1.421) eoan; urgency=medium

  * Drop empty directory (doesn't track well in git)
  * Use debian/casper.dirs to install conf.d

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Oct 2019 13:05:51 +0100

casper (1.420) eoan; urgency=medium

  * Add dependency on finalrd for reliable live-session shutdown. Casper
    setup live systems do have layering violations (/ actually depends on
    /cdrom) and it appears that (although masked) the system manages to
    rip it out, resulting in filesystem errors preventing completing the
    shutdown. That's where pivot to finalrd comes in, to save the day and
    blast the running system into oblivion and complete the shutdown. LP:
    #1840122

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Oct 2019 11:00:12 +0100

casper (1.419) eoan; urgency=medium

  * scripts/casper: Fix shell syntax error introduced in the 1.417 upload.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 26 Sep 2019 11:34:29 -0600

casper (1.418) eoan; urgency=medium

  * scripts/casper-helpers: Reintroduce try_mount() function, which was in
    use by (at least) VMWare in a custom installer scenario (LP: #1845535)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 26 Sep 2019 11:00:40 -0600

casper (1.417) eoan; urgency=medium

  * Persist crash reports as well as logs by default.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 26 Sep 2019 14:18:38 +1200

casper (1.416) eoan; urgency=medium

  * Change the automatic log persistence to store the logs in the 'log'
    directory of the casper-rw filesystem.
  * When using full live session persistence, ignore a 'log' directory in the
    casper-rw filesystem, otherwise booting without and then with full
    persistence breaks.
    - Possibly the whole block of code scanning the casper-rw filesystem
      before using it should be deleted, but one thing at a time.
  * Add autopkgtests for various persistence scenarios, including the above.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 24 Sep 2019 13:12:54 +1200

casper (1.415) eoan; urgency=medium

  * Persist logs on the install media by default:
    - Try to auto create a casper-rw filesystem on the install media if there
      appears to be at least 100MiB free on it.
    - Use a casper-rw filesystem for /var/log if it is not being used for
      persistence.
  * Fix some '|| continue's that got missed when check_dev got refactored into
    a function.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 08 Aug 2019 16:26:41 +1200

casper (1.414) eoan; urgency=medium

  * Use udev-created symlinks to find filesystems by label.
  * Fix find_cow_device and find_files to not unmount filesystems that were
    already mounted (LP: #1489855)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 22 Jul 2019 10:29:08 +1200

casper (1.413) eoan; urgency=medium

  * Fix ftbfs by restoring empty conf.d missing from git import. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Jul 2019 13:40:33 +1200

casper (1.412) eoan; urgency=medium

  * Try to mount partitions of a block device before mounting the block device
    itself (if both work, the former is preferable). (LP: #1489855)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Jul 2019 12:12:36 +1200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog casper`.
